Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.vecmath.geom
Class Variables

    java.lang.Object
      de.grogra.vecmath.geom.Variables

Direct Known Subclasses:
  IntersectionList, Octree.State

    public class Variables

extends java.lang.Object

This class contains a set of temporary variables which may be used freely in methods which receive an instance of `Variables` as argument. The sole requirement is that the size of the `int`-stack is restored to its value before method invocation.

Author:
  Ole Kniemeyer

Field Summary
`java.util.HashMap<java.lang.Object,java.lang.Object>` | `cache` This map may be used by methods which have an instance of `Variables` as parameter in order to store some information which should be available in following invocations of the method.
`int[]` | `istack` This field contains an `int`-stack.
`Line` | `tmpLine` This line may be used freely.
`Matrix3d` | `tmpMatrix3` This matrix may be used freely.
`Point3d` | `tmpPoint0` This point may be used freely.
`Point3d` | `tmpPoint1` This point may be used freely.
`Point3d` | `tmpPoint2` This point may be used freely.
`Point3d` | `tmpPoint3` This point may be used freely.
`Vector3d` | `tmpVector0` This vector may be used freely.
`Vector3d` | `tmpVector1` This vector may be used freely.
`Vector3d` | `tmpVector2` This vector may be used freely.
`Vector3d` | `tmpVector3` This vector may be used freely.

Constructor Summary
`Variables()`

Method Summary
`int` | `getISize()`
`int` | `ienter(int size)` This method increases the size of the `int`-stack `istack` by `size` and returns the previous size of the stack.
`int` | `ipop()` This method pops the topmost element off the `int`-stack `istack` and returns its value.
`void` | `ipush(int value)` This method pushs a new `value` on the `int`-stack `istack`.
`void` | `setISize(int isize)` This method sets the size of the `int`-stack `istack` to `isize`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    public final java.util.HashMap<java.lang.Object,java.lang.Object> cache

  This map may be used by methods which have an instance of `Variables` as parameter in order to store some information which should be available in following invocations of the method.

### istack

    public int[] istack

  This field contains an `int`-stack. Its size is defined by `isize`.

  See Also:
    `ipush(int)`

### tmpLine

    public final Line tmpLine

  This line may be used freely.

### tmpMatrix3

    public final Matrix3d tmpMatrix3

  This matrix may be used freely.

### tmpPoint0

    public final Point3d tmpPoint0

  This point may be used freely.

### tmpPoint1

    public final Point3d tmpPoint1

  This point may be used freely.

### tmpPoint2

    public final Point3d tmpPoint2

  This point may be used freely.

### tmpPoint3

    public final Point3d tmpPoint3

  This point may be used freely.

### tmpVector0

    public final Vector3d tmpVector0

  This vector may be used freely.

### tmpVector1

    public final Vector3d tmpVector1

  This vector may be used freely.

### tmpVector2

    public final Vector3d tmpVector2

  This vector may be used freely.

### tmpVector3

    public final Vector3d tmpVector3

  This vector may be used freely.

Constructor Detail

### Variables

    public Variables()

Method Detail

### getISize

    public int getISize()

### ienter

    public int ienter(int size)

  This method increases the size of the `int`-stack `istack` by `size` and returns the previous size of the stack.

  Parameters:
    `size` - size increment
  Returns:
    previous value of stack size
  See Also:
    `getISize()`

### ipop

    public int ipop()

  This method pops the topmost element off the `int`-stack `istack` and returns its value.

  Returns:
    popped element

### ipush

    public void ipush(int value)

  This method pushs a new `value` on the `int`-stack `istack`.

  Parameters:
    `value` - value to push

### setISize

    public void setISize(int isize)

  This method sets the size of the `int`-stack `istack` to `isize`. The array is enlarged if necessary.

  Parameters:
    `isize` - new size of stack

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD